OpenThreads::ScopedPointerLock< M > Class Template Reference

`#include <ScopedLock>`

## Public Member Functions

| ScopedPointerLock (M *m)
| ~ScopedPointerLock ()

## Constructor & Destructor Documentation

## ScopedPointerLock()

template<class M>

OpenThreads::ScopedPointerLock< M >::ScopedPointerLock | ( | M * | m | ) |

inline explicit

## ~ScopedPointerLock()

template<class M>

OpenThreads::ScopedPointerLock< M >::~ScopedPointerLock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- ScopedLock